loci.formats.gui

## Class UnsignedIntBuffer

- java.lang.Object
- - java.awt.image.DataBuffer
  - - loci.formats.gui.UnsignedIntBuffer

-     public class UnsignedIntBuffer
      extends java.awt.image.DataBuffer

  DataBuffer that stores unsigned ints.
  Author:
    Melissa Linkert melissa at glencoesoftware.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[][]` | `bankData`

    - ### Fields inherited from class java.awt.image.DataBuffer

      `banks, dataType, offset, offsets, size, TYPE_BYTE, TYPE_DOUBLE, TYPE_FLOAT, TYPE_INT, TYPE_SHORT, TYPE_UNDEFINED, TYPE_USHORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsignedIntBuffer(int[][] dataArray, int size)` Construct a new buffer of unsigned ints using the given 2D int array.
    `UnsignedIntBuffer(int[] dataArray, int size)` Construct a new buffer of unsigned ints using the given int array.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getData()`
    `int[]` | `getData(int bank)`
    `int` | `getElem(int i)`
    `int` | `getElem(int bank, int i)`
    `double` | `getElemDouble(int i)`
    `double` | `getElemDouble(int bank, int i)`
    `float` | `getElemFloat(int i)`
    `float` | `getElemFloat(int bank, int i)`
    `void` | `setElem(int i, int val)`
    `void` | `setElem(int bank, int i, int val)`
    `void` | `setElemDouble(int i, double val)`
    `void` | `setElemDouble(int bank, int i, double val)`
    `void` | `setElemFloat(int i, float val)`
    `void` | `setElemFloat(int bank, int i, float val)`

    - ### Methods inherited from class java.awt.image.DataBuffer

      `getDataType, getDataTypeSize, getNumBanks, getOffset, getOffsets, getSize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bankData

          private int[][] bankData

  - ### Constructor Detail

    - #### UnsignedIntBuffer

          public UnsignedIntBuffer(int[] dataArray,
                                   int size)

      Construct a new buffer of unsigned ints using the given int array.

    - #### UnsignedIntBuffer

          public UnsignedIntBuffer(int[][] dataArray,
                                   int size)

      Construct a new buffer of unsigned ints using the given 2D int array.

  - ### Method Detail

    - #### getData

          public int[] getData()

    - #### getData

          public int[] getData(int bank)

    - #### getElem

          public int getElem(int i)

      Overrides:
        `getElem` in class `java.awt.image.DataBuffer`

    - #### getElem

          public int getElem(int bank,
                             int i)

      Specified by:
        `getElem` in class `java.awt.image.DataBuffer`

    - #### getElemFloat

          public float getElemFloat(int i)

      Overrides:
        `getElemFloat` in class `java.awt.image.DataBuffer`

    - #### getElemFloat

          public float getElemFloat(int bank,
                                    int i)

      Overrides:
        `getElemFloat` in class `java.awt.image.DataBuffer`

    - #### getElemDouble

          public double getElemDouble(int i)

      Overrides:
        `getElemDouble` in class `java.awt.image.DataBuffer`

    - #### getElemDouble

          public double getElemDouble(int bank,
                                      int i)

      Overrides:
        `getElemDouble` in class `java.awt.image.DataBuffer`

    - #### setElem

          public void setElem(int i,
                              int val)

      Overrides:
        `setElem` in class `java.awt.image.DataBuffer`

    - #### setElem

          public void setElem(int bank,
                              int i,
                              int val)

      Specified by:
        `setElem` in class `java.awt.image.DataBuffer`

    - #### setElemFloat

          public void setElemFloat(int i,
                                   float val)

      Overrides:
        `setElemFloat` in class `java.awt.image.DataBuffer`

    - #### setElemFloat

          public void setElemFloat(int bank,
                                   int i,
                                   float val)

      Overrides:
        `setElemFloat` in class `java.awt.image.DataBuffer`

    - #### setElemDouble

          public void setElemDouble(int i,
                                    double val)

      Overrides:
        `setElemDouble` in class `java.awt.image.DataBuffer`

    - #### setElemDouble

          public void setElemDouble(int bank,
                                    int i,
                                    double val)

      Overrides:
        `setElemDouble` in class `java.awt.image.DataBuffer`

Copyright © 2026 Open Microscopy Environment